include::../rule.adoc[]

This rule raises an issue when the inheritance tree, starting from `Object`, has a greater depth than is allowed.

include::../resources.adoc[]

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

This {0} has {1} parents which is greater than {2} authorized.


=== Parameters

.max
****
_Integer_

----
5
----

Maximum depth of the inheritance tree. (Number)
****
.filteredClasses
****
_String_

----
""
----

Comma-separated list of classes or records to be filtered out of the count of inheritance. Depth counting will stop when a filtered class or record is reached. For example: System.Windows.Controls.UserControl, System.Windows.*
****


include::../highlighting.adoc[]

endif::env-github,rspecator-view[]
